v1.3.0 (09.11.25-09.12.28)
1: 优化好友列表管理操作,极大的提高程序性能和登录速度.
2: 缓存好友信息,节约网络流量,加快好友信息的显示.
3: 解决过多好友显示为NULL的BUG.
4: 修复一个特殊条件下,新消息托盘没有提示的BUG(但已记录到聊天记录里面).
5: 修复更新好友昵称和心情短语的问题.
6: 修复作者窗口没有关闭按钮的BUG(Linux).
7: 修复程序任务栏没有图标的BUG(Linux).
8: 修复不能显示部分手机型号的飞信发来的表情符号的BUG.
9: 修复关闭最后一个聊天对象标签程序崩溃的BUG(windows).
10: 完善几次窗口输入焦点问题,增加程序易用性.


v1.2.0 (09.07.03-09.11.25)
1: 解决了移动服务器变更,手机号登录失败的问题(2009.11.17号出现的)
2: 解决V1.1内存泄漏问题.
3: 解决V1.1出现奇怪分组"un set group"的bug.
4: 解决V1.1好友积分显示错误的BUG
5: 解决V1.1程序设置字体问题.
6: 增加给自己群发/定时短信.
7: 解决Linux 64位系统崩溃问题，增强64位系统的稳定性.
8：解决LibFetion库群登录导致程序崩溃的BUG.
9: 屏蔽陌生人消息,彻底屏蔽那烦人的广告
10: 增加搜索好友功能,增加好友备注为空功能
11: 整理优化代码结构,提供程序性能.
12: 完善程序界面皮肤,增加精美皮肤到程序中.
13: 同步更新推出苹果版本.


v1.1.0 (09.07.02-09.09.30)
1:修正设置字体失效问题.
2:修正linux版本托盘图标背景刷新问题.
3:修正linux 64版本运行崩溃问题.
4:修正少数158/9手机用户好友没有显示问题.
5:修正手机在线好友数不正确问题.
6:修正英文版本的英文拼写问题.
7:增加显示好友设置地区位置功能.
8:整理优化代码框架结构.


v1.0.0 (09.06.08-09.07.01)
1:解决英文菜单问题.
2:增加群消息可以选择不自动弹出功能.
3: 解决取消登录导致程序崩溃bug.
4: 完善手机用户登录状态显示.
5: 解决聊天记录窗口打开多次问题.
6: 解决表情代码与官方有些差异问题.
7: 解决边缘隐藏的问题.
8: 解决a2启动主界面隐藏功能不正常.
9: 解决a2好友列表出现负数BUG.
10: a2热键失效问题(windows).


v1.0.0 alpha2 (09.05.24-09.06.07)
1: 完成新皮肤的管理功能.
2: 增加记住新皮肤的窗口大小,位置功能.
3: 完善新皮肤设置字体功能.
4: 解决1.0a部分用户登录崩溃问题.
5: 解决windows输入法不兼容这个历史遗留老问题.
6: 解决1.0a区分用户登录设备功能失效问题.

v1.0.0 alpha1 (09.04.21-09.05.23)
1: 增加定时短信发送功能.
2: 增强界面,如边界隐藏,皮肤.
3: 解决V0.9.3 不能给自己发短信BUG.
4: 区分用户登录设备,如手机登录还是电脑登录.(需要图标支持)
界面改善
1: 支持使用CSS来定制界面元素.
2: 窗口边框,背景可定制,不再使用缺省系统样式.
3: 增加其它图片格式支持. (png,jpeg)
4: 改善好友列表显示效果.
5: 主窗口将布局改善,并支持Layout.
6: 主窗口增加边缘隐藏功能并除去任务栏图标(仅windows).



v0.9.3 (09.02.21-09.04.18)
1: 更新协议-补全好友信息. 
2: 更新协议-解决飞信群服务器改变引起部分朋友程序奔溃.
4: 更新协议-解决由群信息导致程序奔溃的BUG.
5: 解决部分机器人号码信息显示不正确的问题.
3: 152号码段支持.
6: 解决显示皮肤BUG.
7: 修复发生短信的BUG.



v0.9.2(09.02.07-09.02.20)
1: 更新协议, 修订一些协议问题(解决有些朋友掉线,发送失败问题,非常重要！！！).
2: 增加窗口闪屏功能.
3: 增加界面字体设置功能.
4: 修复前端显示异常的BUG.
5: 修复离线消息时间显示不正确的BUG.(抛弃..飞信服务器时间不正确)


v0.9.1(08.12.01-08.12.15)
1: 修复皮肤操作问题 (忆云 51test2003@gmail.com 参与实现).
2: 修复小部分朋友接收消息问题.
3:更新部分皮肤.

v0.9.0(08.9.5-08.11.30)
1: 增加内置更换皮肤功能.
2: 支持151号码段登录和显示.
3: 增加重新发出添加好友申请功能.
4: 完善自动登录功能 (liyong liyong03@gmail.com 实现该功能).
5: 在“群发短信”操作后增加发送完毕提示.
6: 聊天tab宽度设置设置固定值.
7: 聊天消息无法复制.
8: 解决windows系统配置信息无法保存问题.
9: 解决自动回复BUG.
10:主面板增加几个小功能按钮.
11: 解决分析消息格式操作内存溢出导致某些系统crash的BUG(感谢 yuking
(yuking_net@sohu.com)指正).
12: 改善mac/ubuntu启动后主界面窗口不显示BUG.

PS:今天晚上我要回家了(家里上网不方便)～
有一个星期的时间休假,开发工作可能要暂停一个星期～～(2008.9.14)
PS:libfetion开发中断了一个月,中间经历了很多事,到现在还没完结.今天开始继续开发(开发时间可能不会太多).～～(2008.10.16)


v0.8.1(08.8.5-08.8.30)
1: 解决重登录程序崩溃的BUG.
2: 解决长短信设置BUG.
3: 解决加为好友退出BUG.
4: 增加修改个人昵称功能.
5: 增加自动回复功能.
6: 修改聊天时间显示格式.
7: 发送快捷键可以选择enter或者ctrl+enter发送.
8: 改善菜单栏字体底色.
9: 记住上次窗口位置.
10: 启动主程序最小化和总在最前面设置.
11: 声音文件自定义.
12: 增加提取消息系统热键(仅支持windows平台).

PS:前段时间工作有点烦...这星期正式开始开发v0.8.1(2008.8.12).

v0.8.0(08.7.8-08.7.29)
1: 改善UI,增加和完善一些细节操作.
2: 增加短信群发功能.
3: 好友查找功能.
4: 长短信支持.
5: 增加设置飞信离线不接收短信操作,在发送短信时提示对方是否设置该功能.
6: 增加获取离线消息功能.
7: 显示和限制短信输入消息字数.
8: 聊天窗口大小可调,增加一关闭标签的按钮.
9: 改善点击程序图标显示窗口到最前面.
10: 好友列表显示个人信息tips.
11: 优化程序内存.

PS: 和鱼先生熬夜通宵的美化程序界面,现在界面酷多了,非常感谢鱼先生(2008.7.27).

v0.2.2(08.6.23-08.7.6)
1:改善登录操作.
2:实现支持socks5 和http代理.
3:增加导出和清除消息历史记录功能(Echo <echo@stu.xjtu.edu.cn> 实现该功能).
4:解决空的新消息提示音问题.
5:解决ubuntu系统没有新消息提示音的bug(cjacker cjacker@gmail.com 解决该bug).
6:解决linux 64位系统编译错误问题,增加一个安装资源脚本.
7:网络错误时,弹出很多错误窗口(MAC平台,和growl兼容不好,已规避).
8:登录时候可能会崩溃程序(MAC平台,已经解决了).

PS:这几天将会做个针对登录困难和代理的补丁版本出来,以后更新由大家的需要而随时改进~

v0.2.1(08.5.24-08.6.20)
1:断线后,自动重连功能.
2:解决登陆时程序失去响应的问题.
3:自动登陆状态保留(iptton(iptton@gmail.com)实现)
4:解决数据库操作内存溢出导致某些系统crash的BUG(感谢 yuking
(yuking_net@sohu.com)指正).
5:修改显示个人心情短语.
6:添加快捷键esc关闭聊天窗口,程序主窗口设置为TopLevel,收到新信息后taskbar闪动、变亮.
7:系统消息将不再重复显示.
8:增加消息是否自动弹出选项,缺省为不自动弹出.
9:添加清除缓存功能,解决某些朋友因服务器地址问题登录不上功能.
10:显示消息的字体大小,颜色和表情,插入表情.(iptton（iptton@gmail.com)参与实现）
11:....
PS:最近上班有点累.所以进速...(08.6.03)
端午放假玩了两天...(08.6.09)


v0.2.0(通用平台 08.5.04-08.5.19):
1:发送信息里含有 < 号将不再显示的BUG.
2:好友排序问题,在线好友设置在最前方.
3:保存加密后的密码.
4:聊天记录保存.(群聊窗口 按 ctrl+h 或者 alt+h 显示历史记录窗口)
5:显示消息接收时间.
6:新信息来临提示方式,在原有基础上加上托盘闪动和声音提示.(群消息还是自动弹出)
7: 在主菜单中添加取消自动登录和静音.
8: 查看没有注册飞信的手机用户显示号码错误.
9:150手机段支持.
10:实现用户组间移动功能.
11:实现聊天窗口多页面标签的 "alt+数字" 切换标签页 和"ctrl+w" 关闭切换标签页
快捷键功能.
12:添加好友验证功能.

v0.1.2 (2008.4.27):
1:改善有些用户登陆不成功的BUG.
2:解决登陆停留在等待服务器认证的BUG.
3:添加程序dock图标显示(感谢Jvstin提供漂亮的图标).
4:更换新消息的提醒方式,解决收到新消息时失去输入窗口焦点,导致无法正常输入问题.
5: 解决显示消息窗口不能复制粘贴和发送消息窗口只显示一行,多行后只能盲打问题.
6:查看个人信息将无法关闭该信息窗口导致程序无法继续操作问题.

v0.1.1:
已知bug:查看个人信息将无法关闭该信息窗口只有强退程序.(UI缺陷,下版本解决)
已知问题:发送输入框缺陷,两行以上都无法看到最后面的文字(UI缺陷,下版本解决)
已知问题:消息显示输入框缺陷,不能复制粘贴(UI缺陷,下版本解决)
已知问题:登录一直停留在等待服务器认证,解决方法:在windows下添加个好友就行.(程序功能缺陷,下版本解决)
